Index: xserver-xorg-video-tdfx/src/tdfx_driver.c
===================================================================
--- xserver-xorg-video-tdfx.orig/src/tdfx_driver.c
+++ xserver-xorg-video-tdfx/src/tdfx_driver.c
@@ -889,7 +889,7 @@ TDFXPreInit(ScrnInfoPtr pScrn, int flags
   pScrn->monitor = pScrn->confScreen->monitor;
 
   flags24=Support24bppFb | Support32bppFb | SupportConvert32to24;
-  if (!xf86SetDepthBpp(pScrn, 0, 0, 0, flags24)) {
+  if (!xf86SetDepthBpp(pScrn, 16, 0, 0, flags24)) {
     return FALSE;
   } else {
     switch (pScrn->depth) {
